org.eclipse.gef.dot.internal.ui.language

## Class DotPortPosExecutableExtensionFactory

- java.lang.Object
- - org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory
  - - org.eclipse.gef.dot.internal.ui.language.DotPortPosExecutableExtensionFactory

All Implemented Interfaces:
  IExecutableExtension, IExecutableExtensionFactory

    public class DotPortPosExecutableExtensionFactory
    extends org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

This class was generated. Customizations should only happen in a newly introduced subclass.

### Field Summary

### Fields inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

`clazzName, config, GUICEKEY, log`

### Constructor Summary

Constructors
Constructor and Description
`DotPortPosExecutableExtensionFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.osgi.framework.Bundle` `getBundle()`
`protected com.google.inject.Injector` `getInjector()`

### Methods inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

`create, setInitializationData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotPortPosExecutableExtensionFactory

    public DotPortPosExecutableExtensionFactory()

### Method Detail

#### getBundle

    protected org.osgi.framework.Bundle getBundle()

Specified by:
  `getBundle` in class `org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory`

#### getInjector

    protected com.google.inject.Injector getInjector()

Specified by:
  `getInjector` in class `org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory`